List approved reviews of a product
GET
/cms/product/{id}/reviews
const url = 'https://api.example.com/cms/product/1/reviews?page=1&limit=10';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.example.com/cms/product/1/reviews?page=1&limit=10' \ --header 'API-Key: <API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Query Parameters
Section titled “Query Parameters”page
integer
Also accepted as /page/{page}/limit/{limit}
limit
integer
Responses
Section titled “Responses”Approved reviews, newest first
Media typeapplication/json
object
rating
number format: float
rating_count
integer
data
Array<object>
Product ReviewA customer review of a product. Only approved reviews are listed publicly.
object
id
Review ID
integer format: int64
product_id
Product ID
integer format: int64
author_name
Public name of the reviewer (nickname, display name, or first and last name)
string
rating
Rating
integer
body
Review text (plain text)
string
status
Moderation status
string
timestamp
Submission date
string format: date-time
last_edited
Last edit by the customer
string format: date-time
Example
{ "data": [ { "status": "pending" } ]}Invalid limit
Product not found or not available